//+------------------------------------------------------------------+
//|                                               TestRadiusGrad.mq5 |
//|                                  Copyright 2023, MetaQuotes Ltd. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2023, MetaQuotes Ltd."
#property link      "https://www.mql5.com"
#property version   "1.00"
#include <Canvas\iCanvas_CB.mqh> //https://www.mql5.com/ru/code/22164

uint clrCenter = 0xAA80FFFF;
uint clrEnd = 0x00FF8080;
uint clrEnd2 = 0x0080FFFF;
uint clrEnd3 = 0x20FF00FF;
int radius = 300;

int OnInit() {
//---

//---
   return(INIT_SUCCEEDED);
}
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason) {
//---

}
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick() {
//---

}
//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam) {
   if (id==CHARTEVENT_MOUSE_MOVE) {
      Canvas.Erase(0x00FFFFFF);
      ulong t = GetMicrosecondCount();
      Canvas.RadiusGrad(_MouseX,_MouseY,radius,clrCenter,clrEnd);
      Canvas.RadiusGrad(radius*2+_MouseX,_MouseY,radius,clrCenter,clrEnd2);
      Canvas.RadiusGrad(radius+_MouseX,radius+_MouseY,radius,clrCenter,clrEnd3);
      t = GetMicrosecondCount()-t;
      _CommXY(_Width/2,50,string(t)+" mks");
      Canvas.Update();
      
     
   }

}
//+------------------------------------------------------------------+
